#
# spec file for package gnote
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define build_applet %{?favor_gtk2}

Name:           gnote
Version:        0.7.4
Release:        1
# FIXME: on version upgrade, check if build_applet is still needed (last checked: 0.7.4)
License:        GNU GPL v3 or later
Summary:        A Port of Tomboy to C++
Group:          Productivity/Text/Editors
Url:            http://live.gnome.org/Gnote
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gnote-no-deprecated.patch bgo#651551 vuntz@opensuse.org -- Do not use deprecated API
Patch0:         gnote-no-deprecated.patch
BuildRequires:  boost-devel >= 1.34
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtkmm2-devel >= 2.20
BuildRequires:  gtkspell-devel
BuildRequires:  intltool
%if 0%{?build_applet}
BuildRequires:  libpanelappletmm-devel
%endif
BuildRequires:  libuuid-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  pcre-devel
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
It is the same note taking application, including most of the add-ins (more are
to come). Synchronization support is being worked on.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static --disable-schemas-install --disable-scrollkeeper --enable-dbus
V=1 %__make %{?_smp_mflags}

%install
%__make install DESTDIR=%{buildroot}
%suse_update_desktop_file gnote     Utility  DesktopUtility
%find_gconf_schemas
%find_lang %{name} %{?no_lang_C}

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %{name}.schemas_list
%defattr(-,root,root)
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/gnote
%if 0%{?build_applet}
%{_prefix}/lib/gnote-applet
%{_libdir}/bonobo/servers/GNOME_GnoteApplet.server
%endif
%{_libdir}/gnote/
%{_datadir}/applications/gnote.desktop
%{_datadir}/gnote/
%{_datadir}/icons/hicolor/*/apps/gnote.*
%{_mandir}/man1/gnote.1*

%files lang -f %{name}.lang

%changelog
